Obtén el estado de las cuentas virtuales en lote
curl --request GET \
--url https://api.stage.localpayment.com/api/virtual-account-batch/{externalId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.stage.localpayment.com/api/virtual-account-batch/{externalId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.stage.localpayment.com/api/virtual-account-batch/{externalId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.stage.localpayment.com/api/virtual-account-batch/{externalId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.stage.localpayment.com/api/virtual-account-batch/{externalId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.stage.localpayment.com/api/virtual-account-batch/{externalId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.stage.localpayment.com/api/virtual-account-batch/{externalId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"externalId": "ba671d03-b3bc-4312-8841-5c65a67713ca",
"internalId": "91c0de90-9d70-44a6-b9c6-600f835802b6",
"accountNumber": "{{accountNumber}}",
"status": {
"code": "200",
"description": "COMPLETED",
"detail": "Batch Process Virtual Account completed"
},
"comment": "The batch process is done - The process started at = 2025-01-03 22:59:14.355 - Total accounts requested = 12 - Total accounts created = 12 - The process finished at = 2025-01-03 22:59:17.716 - ",
"csvFormatResponse": "internal_id,external_id,bank_account\ne68208a1-3197-4b1e-82f6-76525a734e56,1111111111-1,646011319800023500\n80dcc234-1010-427b-b256-3fff18325baf,1111111111-2,646011319800023501\nd779c2ab-2505-43b8-874c-fcb97a2e5fb7,1111111111-3,646011319800023502\nafd67163-fd79-4b2c-b288-c4d253bcec57,1111111111-4,646011319800023503\n01e1d1bb-c89c-4d41-849d-bd1d8e5c3785,1111111111-5,646011319800023504\n0ba88114-ae62-407b-9f03-8f863000c163,1111111111-6,646011319800023505\n0184a17a-5c38-4c43-b10a-15079662e518,1111111111-7,646011319800023506\nb80991f5-396d-485a-b480-fdfb8635bef3,1111111111-8,646011319800023507\ncd0f6180-c3ad-4a69-815f-25d6f053aee2,1111111111-9,646011319800023608\n95ea6157-2d17-459c-969a-708ca31cfc13,1111111111-10,646011319800023609\ncf50e4d2-ac34-48f4-a60f-b2ee8b152f6a,1111111111-11,646011319800023610\n70d1f0be-3db0-48fd-8493-b712038ea48e,1111111111-12,646011319800023611\n"
}
Cuentas virtuales
Obtén el estado de las cuentas virtuales en lote
GET
/
api
/
virtual-account-batch
/
{externalId}
Obtén el estado de las cuentas virtuales en lote
curl --request GET \
--url https://api.stage.localpayment.com/api/virtual-account-batch/{externalId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.stage.localpayment.com/api/virtual-account-batch/{externalId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.stage.localpayment.com/api/virtual-account-batch/{externalId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.stage.localpayment.com/api/virtual-account-batch/{externalId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.stage.localpayment.com/api/virtual-account-batch/{externalId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.stage.localpayment.com/api/virtual-account-batch/{externalId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.stage.localpayment.com/api/virtual-account-batch/{externalId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"externalId": "ba671d03-b3bc-4312-8841-5c65a67713ca",
"internalId": "91c0de90-9d70-44a6-b9c6-600f835802b6",
"accountNumber": "{{accountNumber}}",
"status": {
"code": "200",
"description": "COMPLETED",
"detail": "Batch Process Virtual Account completed"
},
"comment": "The batch process is done - The process started at = 2025-01-03 22:59:14.355 - Total accounts requested = 12 - Total accounts created = 12 - The process finished at = 2025-01-03 22:59:17.716 - ",
"csvFormatResponse": "internal_id,external_id,bank_account\ne68208a1-3197-4b1e-82f6-76525a734e56,1111111111-1,646011319800023500\n80dcc234-1010-427b-b256-3fff18325baf,1111111111-2,646011319800023501\nd779c2ab-2505-43b8-874c-fcb97a2e5fb7,1111111111-3,646011319800023502\nafd67163-fd79-4b2c-b288-c4d253bcec57,1111111111-4,646011319800023503\n01e1d1bb-c89c-4d41-849d-bd1d8e5c3785,1111111111-5,646011319800023504\n0ba88114-ae62-407b-9f03-8f863000c163,1111111111-6,646011319800023505\n0184a17a-5c38-4c43-b10a-15079662e518,1111111111-7,646011319800023506\nb80991f5-396d-485a-b480-fdfb8635bef3,1111111111-8,646011319800023507\ncd0f6180-c3ad-4a69-815f-25d6f053aee2,1111111111-9,646011319800023608\n95ea6157-2d17-459c-969a-708ca31cfc13,1111111111-10,646011319800023609\ncf50e4d2-ac34-48f4-a60f-b2ee8b152f6a,1111111111-11,646011319800023610\n70d1f0be-3db0-48fd-8493-b712038ea48e,1111111111-12,646011319800023611\n"
}
Este endpoint recupera el estado y los detalles de un lote de cuentas virtuales que hayas creado previamente mediante el endpoint Crear cuentas virtuales en lote. Esto te permite realizar un seguimiento eficiente del progreso de creación de varias cuentas y verificar su estado de activación.
Autorizaciones
Encabezados
Token de acceso Bearer para la autenticación. Este token se obtiene de los endpoints Get Access Token o Refresh Access Token.
Parámetros de ruta
Respuesta
OK
Última modificación el 10 de noviembre de 2026

